Name:          hawtdb
Version:       1.6
Release:       1%{?dist}
Summary:       A Powerful Key/Value Store
Group:         Development/Libraries
# CDDL: hawtdb/src/main/java/org/fusesource/hawtdb/api/Callback.java
License:       ASL 2.0 and CDDL
URL:           http://hawtdb.fusesource.org/
Source0:       https://github.com/fusesource/hawtdb/archive/%{name}-project-%{version}.tar.gz

BuildRequires: fusesource-pom
BuildRequires: java-devel

BuildRequires: apache-commons-logging
BuildRequires: hawtbuf
# test deps
BuildRequires: junit
BuildRequires: log4j

BuildRequires: maven-local
BuildRequires: maven-plugin-bundle
BuildRequires: maven-surefire-provider-junit4

Requires:      apache-commons-logging
Requires:      hawtbuf

Requires:      java
BuildArch:     noarch

%description
HawtDB is an embedded MVCC Key/Value Database.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-project-%{version}

# remove unavailable org.fusesource.mvnplugins:fuse-javadoc-skin
%pom_xpath_remove "pom:project/pom:build/pom:extensions"
# remove unavailable org.apache.maven.wagon:wagon-webdav-jackrabbit
%pom_xpath_remove "pom:project/pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-site-plugin']/pom:dependencies"

# unavailable deps
%pom_disable_module %{name}-website

# Unwanted javadoc jar
%pom_remove_plugin :maven-javadoc-plugin %{name}

# These tests fails
# org.fusesource.hawtdb.api.IOPagingException: Invalid extent read request.  The requested page was not an extent: 2
# org.junit.ComparisonFailure: expected:<[Change 1]> but was:<[page:2]>
# org.fusesource.hawtdb.api.IndexException: Page did not contain the expected btree headers
# 
rm -r hawtdb/src/test/java/org/fusesource/hawtdb/internal/index/BTreeIndexTest.java \
  hawtdb/src/test/java/org/fusesource/hawtdb/internal/index/DeferredBTreeIndexTest.java \
  hawtdb/src/test/java/org/fusesource/hawtdb/internal/index/DeferredHashIndexTest.java \
  hawtdb/src/test/java/org/fusesource/hawtdb/internal/index/FixedCapacityHashIndexTest.java \
  hawtdb/src/test/java/org/fusesource/hawtdb/internal/index/HashIndexTest.java \
  hawtdb/src/test/java/org/fusesource/hawtdb/internal/page/TxPageFileTest.java \
  hawtdb/src/test/java/org/fusesource/hawtdb/internal/io/MemoryMappedFileTest.java

%build

mvn-rpmbuild package javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 %{name}/target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-project.pom
%add_maven_depmap JPP-%{name}-project.pom
install -pm 644 %{name}/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavenpomdir}/JPP-%{name}-project.pom
%{_mavendepmapfragdir}/%{name}
%doc changelog.md license.txt readme.md

%files javadoc
%{_javadocdir}/%{name}
%doc license.txt

%changelog
* Tue Jun 04 2013 gil cattaneo <puntogil@libero.it> 1.6-1
- initial rpm